﻿::selection {background-color:var(--heading-heighlight-color)}
a {
    color: var(--heading-heighlight-color);
    }

.banner_video {
    width: 100%;
    }

.black-alt {
    color: var(--dark-orange) !important;
    }

.bg-darkred {
    background-color: var(--dark-orange);
    color: white;
    }

.btn-send {
    background-color: var(--heading-heighlight-color);
    border: 2px solid var(--heading-heighlight-color);
    border-radius: 0;
    color: white;
    display: flex;
    font-size: 30px;
    justify-content: center;
    margin-top: 2rem;
    min-height: 61px;
    min-width: 30%;
    text-transform: uppercase;
    width: 30%;
    }

.btn-send:hover {
    background-color: white;
    border-color: white;
    color: var(--heading-heighlight-color);
    }
button.placeholder-selected{text-align:left;}
.campaign-content .heading h4 {
    color: white;
    font-size: 30px;
    }

.campaign-email p {
    font-size: 24px;
    padding-top: 2rem;
    }

.campaign-newsletter, .campaign-terms {
    align-items: center;
    display: flex;
    padding-top: 2rem;
    }

.campaign-newsletter #newsletterCheck, .campaign-terms #termsCheck {
    appearance: none;
    background-color: var(--dark-orange);
    border: 1px solid var(--heading-heighlight-color);
    height: 33px;
    min-height: 33px;
    min-width: 33px;
    width: 33px;
    }

.campaign-newsletter #newsletterCheck:checked, .campaign-terms #termsCheck:checked {
    background-color: var(--heading-heighlight-color);
    color: white;
    }

.campaign-newsletter #newsletterCheck:checked::after, .campaign-terms #termsCheck:checked::after {
    align-items: center;
    color: white;
    content: '✓';
    display: flex;
    font-size: 20px;
    justify-content: center;
    }

.campaign-terms p, .campaign-newsletter p {
    font-size: 16px;
    margin-top: 1rem;
    }

.change-spinner {
    --bs-spinner-height: 3rem;
    --bs-spinner-width: 3rem;
    }

.content:has(.howToCard) {
    border-radius: 10px;
    min-height: 300px;
    }

.ds-content-item:has(.howToCard) {
    padding: 5px;
    }

.ds-section .ds-content .ds-content-item img {
    background-color: #3c3c3c;
    height: auto;
    width: 200px;
    }

.dropdown {
    border: 1px solid var(--heading-heighlight-color);
    margin-top: 2rem;
    }

.dropdown-list-item {
    color: var(--dark-orange);
    }

.dropdown-list-item:focus-within {
    font-weight: 500;
    }

.dropdown-list-item:focus-within:checked {
    color: inherit;
    }

.dropdown-list-item:hover {
    background-color: var(--heading-heighlight-color);
    color:white;
    }

.dropdown-list-item .option-placeholder {
    color: rgba(255, 255, 255, 0.5);
    font-size: 30px;
    font-weight: 500;
    }

.dropdown[aria-expanded='true'] .dropdown-list-item {
    color: var(--dark-orange);
    font-weight: 500;
    }

.dropdown::after {
    color: var(--heading-heighlight-color);
    content: '';
    pointer-events: none;
    position: absolute;
    right: 10px;
    top: 50%;
    transform: translateY(-50%);
    }
.dropdown-menu {border-radius:0;}
.embiggen-font {
    color: var(--dark-orange) !important;
    font-size: 12rem;
    }

.error-msg {
    color: red;
    display: none;
    }

.error-msg.has-error {
    display: block;
    }

.form-select, .form-select-lg {
    background-color: var(--dark-orange);
    background-size: 50px 50px;
    border: 1px solid var(--heading-heighlight-color);
    border-radius: 0;
    --bs-form-select-bg-img: url('data:image/svg+xml,%3csvg xmlns=\'http://www.w3.org/2000/svg\' viewBox=\'0 0 16 16\'%3e%3cpath fill=\'none\' stroke=\'%23ff2b00\' stroke-linecap=\'round\' stroke-linejoin=\'round\' stroke-width=\'1\' d=\'m2 5 6 6 6-6\'/%3e%3c/svg%3e');
    }

.form-select:focus, .form-select-lg:focus {
    border-color: inherit;
    color: inherit;
    }

.form-select:focus-within, .form-select:focus-within .option-placeholder {
    color: rgba(255, 255, 255, 0.5);
    }

.form-select:focus-within:hover, .form-select-lg:focus-within:hover {
    background-color: var(--heading-heighlight-color);
    }

.form-select:hover, .form-select-lg:hover {
    background-color: var(--heading-heighlight-color);
    }

.form-select, .form-select-lg .dropdown-list-item {
    background-color: white;
    color: var(--dark-orange);
    }

.full-width-section {
    background-color: var(--heading-heighlight-color);
    left: 50%;
    margin-left: -50vw;
    margin-right: -50vw;
    position: relative;
    right: 50%;
    top: 6%;
    width: 100vw;
    }

.heading-font {
    font-family: var(--clashrotesk-variable), sans-serif !important;
    font-weight: 500 !important;
    }

.howToCard .content p {
    color: var(--dark-orange);
    }

input[type='checkbox'] {
    appearance: inherit;
    }

.nwb-container {
    margin-left: auto;
    margin-right: auto;
    }

.option-placeholder {
    background-color: white;
    color: var(--dark-orange) !important;
    }

.option-placeholder:focus-within {
    color: rgba(255, 255, 255, 0.5);
    font-weight: 500;
    }

option:nth-child(n+2) {
    color: var(--dark-orange);
    }

.placeholder-selected {
    color: rgba(255, 255, 255, 0.5) !important;
    }

.py-5 {
    padding: 0 !important;
    }

.section-heading:has(.white-alt) .heading h4, p {
    color: white;
    }

.second-heading-font {
    font-family: IvyPresto Display, serif !important;
    font-weight: 400;
    }

.speech-bubble {
    background-color: white;
    border-radius: 0;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    color: black;
    display: inline-block;
    font-size: 1em;
    font-weight: 400;
    margin-top: 30px;
    padding: 10px 20px;
    position: absolute;
    right: 10px;
    top: 100%;
    }

.speech-bubble::before {
    border-left: 15px solid transparent;
    border-right: 1px solid transparent;
    border-top: 30px solid white;
    content: '';
    height: 0;
    left: 39px;
    position: absolute;
    top: -25px;
    transform: rotate(155deg);
    width: 0;
    }

.speech-bubble a {
    color: var(--heading-heighlight-color);
    text-decoration: none;
    }

.text-dark {
    color: var(--dark-orange);
    }

.umb-block-grid {
    background-color: inherit;
    left: 50%;
    margin-left: -50vw;
    margin-right: -50vw;
    position: relative;
    right: 50%;
    width: 100vw;
    }

.white-alt {
    color: white !important;
    font-style: normal !important;
    }
ul.dropdown-menu {padding-top:0;padding-bottom:0;}

#charityEmail {
    background-color: var(--dark-orange);
    border: none;
    border-bottom: 1px solid var(--heading-heighlight-color);
    border-color: var(--heading-heighlight-color);
    color: white;
    font-size: 30px;
    min-width: 30%;
    }

#organisationSelect {
    background-color: var(--dark-orange);
    color: white;
    font-size: 30px;
    text-align: left;
    }

#organisationSelect option.dropdown-list-item, #organisationSelect option.option-placeholder {
    font-weight: 500;
    }

.donation-messages {
    color: white;
    }

.campaign-email{
    margin-top: 10%;
}
@media (max-width:374px) {
    .campaign-newsletter, .campaign-terms, .campaign-button, select, #charityEmail {
        width: 100%;
        }
    .btn-send {width: 100% !important;}
    #donation-error div{
        margin-bottom: 1rem;
        padding-bottom:1rem;
        }
    }
@media (max-width: 575px){
    .embiggen-font {
        font-size: 3rem;
        }
    .speech-bubble {
        margin-top: 10px !important;
        padding: 0 5px !important;
        position: absolute;
        right:0;
        top: 100%;
        }

    .speech-bubble::before {
        border-left: 5px solid transparent !important;
        border-right: 1px solid transparent !important;
        border-top: 10px solid white !important;
        content: '';
        height: 0;
        left: 39px;
        position: absolute;
        top: -0.5rem !important;
        width: 0;
        }
    .campaign-newsletter #newsletterCheck:checked::after, .campaign-terms #termsCheck:checked::after {
        font-size:1.5rem;
        }

    .dropdown-list-item{
        width: 100%;
        max-width:100%;
        min-width:100%;
        overflow: hidden;
        white-space: nowrap;
        text-overflow: ellipsis;
        }
    }

@media (min-width: 576px) {
    .nwb-container {
        max-width: 540px;
        }
    .embiggen-font {
        font-size: 5rem;
        }
    }

@media (min-width: 768px) {
    .nwb-container {
        max-width: 720px;
        }
    .embiggen-font {
        font-size: 6rem;
        }
    .howToCard .icon {
        padding: 3rem 0 2rem 0;
        width: 144px;
        }
    .howToCard .content {
        padding: 1rem;
        min-height:fit-content;
        }
    .howToCard .image img.icon-choose{
        padding-top: 1.5rem;
        }
    .howToCard .image img.icon-click{
        padding-top: 1.5rem;
        }
    .howToCard .image img.icon-mail {
        padding-top: 4rem;
        }
    }
@media (max-width:767px){
    .btn-send{
        min-width: 100%;
        width:100%;
        }
    .howToCard .icon {
        padding: 3rem 0 2rem 0;
        width: 144px;
        }
    .howToCard .content {
        padding: 1rem;
        min-height:fit-content;
        }
    .howToCard .image img.icon-choose{
        padding-top: 1.5rem;
        }
    .howToCard .image img.icon-click{
        padding-top: 1.5rem;
        }
    .howToCard .image img.icon-mail {
        padding-top: 4rem;
        }
    }
@media (max-width:991px) {
    .option-placeholder {
        text-overflow: ellipsis !important;
        overflow: hidden !important;
        }

    /*========================================================
    select option, select, option.dropdown-list-item, #organisationSelect, #organisationSelect option {
        appearance: none;
        -webkit-appearance: none;
        -moz-appearance: none;
        text-overflow: ellipsis !important;
        overflow: hidden !important;
        white-space:nowrap;
        max-width:100%;
        width:100%;
        height:100%;
        &:focus-within{
            appearance: none;
            -webkit-appearance: none;
            -moz-appearance: none;
            text-overflow: ellipsis !important;
            overflow: hidden !important;
            white-space:nowrap;
            max-width:100%;
            width:100%;
            height:100%;
            }
        .select-wrapper, #organisationSelect {
            width: 100%;
            }

        #organisationSelect, #organisationSelect option {
            appearance: none;
            -webkit-appearance: none;
            -moz-appearance: none;
            text-overflow: ellipsis;
            overflow: hidden;
            white-space: nowrap;
            }

        .dropdown-list-item {
            width: 75%;
            max-width: 75%;
            font-size: 18px;
            text-overflow: ellipsis;
            white-space: nowrap;
            }
        }
    select {
        appearance: none;
        -webkit-appearance: none;
        -moz-appearance: none;
        }

    ==================================================================== */
  .dropdown-list-item {
        font-size:18px;
        text-overflow: ellipsis !important;
        overflow: hidden !important;
        width:100%
        }

    .dropdown-list-item:focus-within {
        font-weight: 500;
        font-size: 18px;
        width:100%
        }
    .speech-bubble {
        margin-top: 20px;
        padding: 10px 20px;
        position: absolute;
        right:0;
        top: 100%;
        }

    .speech-bubble::before {
        border-left: 15px solid transparent;
        border-right: 1px solid transparent;
        border-top: 30px solid white;
        content: '';
        height: 0;
        left: 39px;
        position: absolute;
        top: -25px;
        width: 0;
        }
    .umb-block-grid__layout-item {
        --umb-block-grid--item-column-span: 12 !important;
        grid-column-end: span min(calc(var(--umb-block-grid--item-column-span, 1)* 3), var(--umb-block-grid--grid-columns));
        }
    #donation-error div, #success-message div, #donation-success div  {
        padding-bottom: 1rem;
        padding-top: 1rem;
        }
    #donation-error div{
        margin-bottom: 1rem;
        }
    }
@media (min-width: 992px) {
    .nwb-container {
        max-width: 960px;
        }
    .embiggen-font {
        font-size: 9rem;
        }
    .howToCard .content {
        margin-top: 1.5rem;
        min-height: 33rem;
        }

    .howToCard .content p {
        color: var(--dark-orange);
        margin-top: 3rem;
        }

    .howToCard .icon {
        align-items: center;
        display: flex;
        justify-content: center;
        margin: 1rem;
        width: 144px;
        }
button.dropdown-list-item {font-size:30px !important;}
    .howToCard .image {
        height: 10rem;
        }

    .howToCard .image img.icon-happy {
        margin-top: 1rem;
        transform: scale(1.25);
        }

    .howToCard .image img.icon-mail {
        padding-top: 3rem;
        transform: scale(1.3);
        }
    .btn-send{width:30% !important;}
    }

@media (min-width: 1200px) {
    .nwb-container {
        max-width: 1140px;
        }
    .embiggen-font {
        font-size: 10rem;
        }
    .howToCard .content {
        min-height: 24rem;
        }
    }

@media (min-width: 1400px) {
    .nwb-container {
        max-width: 1320px;
        }
    .embiggen-font {
        font-size: 12rem;
        }
    .howToCard .content {
        min-height: 20rem;
        }
    }

#donation-error div {
    margin-bottom: 1rem;
    }

.campaign-email p,
#termsCheck p {
    color: white; !important;
}

.section-wrapper[style*="--nwb-section-background-color: #ffffff"] p {
    color: var(--dark-orange);
}